/**
 * Portal Mage Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="mage"][data-skin="portalmaster_mage"]::before {
    box-shadow:
        0px -12px 0 0 #910fd2,
        -4px -8px 0 0 #b148e5,
        0px -8px 0 0 #8e2dbe,
        4px -8px 0 0 #b64dea,
        -8px 0px 0 0 #9932CC,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #9932CC,
        -8px 8px 0 0 #00FFFF,
        -4px 8px 0 0 #9932CC,
        0px 8px 0 0 #DA70D6,
        4px 8px 0 0 #9932CC,
        8px 8px 0 0 #089696,
        -4px 16px 0 0 #0b9393,
        4px 16px 0 0 #00d9d9;
}

/* Character Selection Preview */
.char-card-preview[data-character="mage"][data-skin="portalmaster_mage"]::before {
    box-shadow:
        0px -12px 0 0 #910fd2,
        -4px -8px 0 0 #b148e5,
        0px -8px 0 0 #8e2dbe,
        4px -8px 0 0 #b64dea,
        -8px 0px 0 0 #9932CC,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #9932CC,
        -8px 8px 0 0 #00FFFF,
        -4px 8px 0 0 #9932CC,
        0px 8px 0 0 #DA70D6,
        4px 8px 0 0 #9932CC,
        8px 8px 0 0 #089696,
        -4px 16px 0 0 #0b9393,
        4px 16px 0 0 #00d9d9;
}

/* Skin Selector Preview */
.skin-preview[data-character="mage"][data-skin="portalmaster_mage"]::before {
    box-shadow:
        0px -12px 0 0 #910fd2,
        -4px -8px 0 0 #b148e5,
        0px -8px 0 0 #8e2dbe,
        4px -8px 0 0 #b64dea,
        -8px 0px 0 0 #9932CC,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #9932CC,
        -8px 8px 0 0 #00FFFF,
        -4px 8px 0 0 #9932CC,
        0px 8px 0 0 #DA70D6,
        4px 8px 0 0 #9932CC,
        8px 8px 0 0 #089696,
        -4px 16px 0 0 #0b9393,
        4px 16px 0 0 #00d9d9;
}
